@echo off
setlocal
REM Run this script from an admininistrator prompt to install NVIDIA ETW tracing

echo Installing NVIDIA DirectMode ETW Manifest manifest...

REM Uninstall existing manifest first
wevtutil.exe uninstall-manifest "DirectModeETW.man"

REM Copy the ETW resource to system directory
xcopy /y /f DirectModeETW.dll %WINDIR%\System32\

REM Install the new manifest
wevtutil.exe install-manifest "DirectModeETW.man"

REM Ensure that the provider was installed successfully
wevtutil get-publisher NVIDIA-VR-DirectMode > nul
