<?xml version="1.0" encoding="UTF-8"?>
<instrumentationManifest xsi:schemaLocation="http://schemas.microsoft.com/win/2004/08/events eventman.xsd" xmlns="http://schemas.microsoft.com/win/2004/08/events" xmlns:win="http://manifests.microsoft.com/win/2004/08/windows/events" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:trace="http://schemas.microsoft.com/win/2004/08/events/trace">
    <instrumentation>
        <events>
            <provider name="OVR-USBVid" guid="{091292F9-4F6C-47E1-B483-35D399D45C4C}" symbol="OVR_USBVID_GUID" resourceFileName="OCUSBVID.sys" messageFileName="OCUSBVID.sys" parameterFileName="OCUSBVID.sys">
                <events>
                    <event symbol="DriverLog" value="0" version="0" channel="USBVid/Analytic" level="win:Informational" task="Log" opcode="Driver" template="Log" message="$(string.OVR-USBVid.event.0.message)">
                    </event>
                    <event symbol="DriverError" value="1" version="0" channel="USBVid/Debug" level="win:Error" task="Log" opcode="Driver" template="Log" message="$(string.OVR-USBVid.event.1.message)">
                    </event>
                    <event symbol="DeviceLog" value="2" version="0" channel="USBVid/Analytic" level="win:Informational" task="Log" opcode="Device" template="Log" message="$(string.OVR-USBVid.event.2.message)">
                    </event>
                    <event symbol="DeviceError" value="3" version="0" channel="USBVid/Debug" level="win:Error" task="Log" opcode="Device" template="Log" message="$(string.OVR-USBVid.event.3.message)">
                    </event>
                    <event symbol="QueueLog" value="4" version="0" channel="USBVid/Analytic" level="win:Informational" task="Log" opcode="Queue" template="Log" message="$(string.OVR-USBVid.event.4.message)">
                    </event>
                    <event symbol="QueueError" value="5" version="0" channel="USBVid/Debug" level="win:Error" task="Log" opcode="Queue" template="Log" message="$(string.OVR-USBVid.event.5.message)">
                    </event>
                </events>
                <levels>
                </levels>
                <tasks>
                    <task name="Log" symbol="LOG_TRACE" value="1" eventGUID="{00000000-0000-0000-0000-000000000000}" message="$(string.OVR-USBVid.task.LOG_TRACE.message)">
                    </task>
                </tasks>
                <opcodes>
                    <opcode name="Driver" symbol="OPCODE_DRIVER" value="10" message="$(string.OVR-USBVid.opcode.OPCODE_DRIVER.message)">
                    </opcode>
                    <opcode name="Device" symbol="OPCODE_DEVICE" value="11" message="$(string.OVR-USBVid.opcode.OPCODE_DEVICE.message)">
                    </opcode>
                    <opcode name="Queue" symbol="OPCODE_QUEUE" value="12" message="$(string.OVR-USBVid.opcode.OPCODE_QUEUE.message)">
                    </opcode>
                </opcodes>
                <channels>
                    <channel name="USBVid/Analytic" chid="USBVid/Analytic" symbol="ANALYTIC_CHANNEL" type="Analytic" enabled="false">
                    </channel>
                    <channel name="USBVid/Debug" chid="USBVid/Debug" symbol="DEBUG_CHANNEL" type="Debug" enabled="false">
                    </channel>
                </channels>
                <templates>
                    <template tid="Log">
                        <data name="Func" inType="win:UnicodeString" outType="xs:string">
                        </data>
                        <data name="Line" inType="win:Int32" outType="xs:int">
                        </data>
                        <data name="Message" inType="win:UnicodeString" outType="xs:string">
                        </data>
                    </template>
                </templates>
            </provider>
        </events>
    </instrumentation>
    <localization>
        <resources culture="en-US">
            <stringTable>
                <string id="level.Informational" value="Information">
                </string>
                <string id="level.Error" value="Error">
                </string>
                <string id="OVR-USBVid.task.LOG_TRACE.message" value="Log">
                </string>
                <string id="OVR-USBVid.opcode.OPCODE_QUEUE.message" value="Queue">
                </string>
                <string id="OVR-USBVid.opcode.OPCODE_DRIVER.message" value="Driver">
                </string>
                <string id="OVR-USBVid.opcode.OPCODE_DEVICE.message" value="Device">
                </string>
                <string id="OVR-USBVid.event.5.message" value="Queue Error %1:%2 %3">
                </string>
                <string id="OVR-USBVid.event.4.message" value="Queue %1:%2 %3">
                </string>
                <string id="OVR-USBVid.event.3.message" value="Device Error %1:%2 %3">
                </string>
                <string id="OVR-USBVid.event.2.message" value="Device %1:%2 %3">
                </string>
                <string id="OVR-USBVid.event.1.message" value="Driver Error %1:%2 %3">
                </string>
                <string id="OVR-USBVid.event.0.message" value="Driver %1:%2 %3">
                </string>
            </stringTable>
        </resources>
    </localization>
</instrumentationManifest>
